Bug 423361 - downloaded packages and on installation this one bombed.
downloaded packages and on installation this one bombed.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 08:20 EST by Tharry Beavers
Modified: 2008-01-21 10:52 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 10:52:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tharry Beavers 2007-12-13 08:20:10 EST
Summary
    SELinux is preventing /usr/sbin/semodule (semanage_t) "write" to
    pipe:[17115] (rpm_t).

Detailed Description
    SELinux denied access requested by /usr/sbin/semodule. It is not expected
    that this access is required by /usr/sbin/semodule and this access may
    signal an intrusion attempt. It is also possible that the specific version
    or configuration of the application is causing it to require additional
    access.

Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:semanage_t
Target Context                system_u:system_r:rpm_t
Target Objects                pipe:[17115] [ fifo_file ]
Affected RPM Packages         policycoreutils-2.0.16-15.fc7 [application]
Policy RPM                    selinux-policy-2.6.4-49.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.21-1.3194.fc7 #1
                              SMP Wed May 23 22:35:01 EDT 2007 i686 i686
Alert Count                   2
First Seen                    Tue 27 Nov 2007 07:49:14 AM CST
Last Seen                     Tue 27 Nov 2007 07:49:17 AM CST
Local ID                      0eeb304e-30de-4db4-ad81-cd1f377caa62
Line Numbers                  

Raw Audit Messages            

avc: denied { write } for comm="semodule" dev=pipefs egid=0 euid=0
exe="/usr/sbin/semodule" exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="[17115]"
path="pipe:[17115]" pid=3355 scontext=system_u:system_r:semanage_t:s0 sgid=0
subj=system_u:system_r:semanage_t:s0 suid=0 tclass=fifo_file
tcontext=system_u:system_r:rpm_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-12-13 10:58:03 EST
You can safely ignore.  Fixed in selinux-policy-2.6.4-62.fc7

Note You need to log in before you can comment on or make changes to this bug.